<?php
/*
 *	Sistema: Gerador de Classes PHP5
 *	Autor: Diego Gomes Araujo
 *	Email: diegogomesaraujo@hotmail.com
 *	Versão: 1.0
 *	Licença: GPL/GNU
 *	Data da criação: 22/03/2008
 *	Hora da criação: 13:45:05
 */

class GeraInterface {

	private $gerador;
	private $diretorio;

	// função construct da classe
	public function __construct() {
		$this->gerador = new Gerador();
	}
	
	// função responsavel por chamar as funções
	// que geram o conteudo da classe
	public function geraClasseInterface($diretorio) {
		$this->diretorio = $diretorio;
		$str  = "<?php\n";
		$str .= $this->gerador->getCreditos();
		$str .= "interface Template {\n\n";
		$str .= self::geraMetodoGetResp();
		//$str .= self::geraMetodoMeuSql();
		$str .= "}\n";
		$str .= "?>";
		return self::salvaClasseInterface($str);
	}
	
	// função que salva as classes
	private function salvaClasseInterface($conteudo) {
		$caminho = $this->diretorio."/Template.php";
		$file = fopen($caminho,"w+");
		if(fwrite($file, $conteudo)) {
			$msgs = new Msgs($caminho,true);
		} else {
			$msgs = new Msgs($caminho,false);
		}
		fclose($file);
		return $msgs;
	}
	
	// função que gera o método interface
	public function geraMetodoGetResp() {
		$str = "\tpublic function getResp();\n\n";
		return $str;
	}
	
	/*/ função que gera o método interface
	public function geraMetodoMeuSql() {
		$str = "\tpublic function meuSql();\n\n";
		return $str;
	}
	*/
}