<?php
/*
 *	Sistema: Gerador de Classes PHP5
 *	Autor: Diego Gomes Araujo
 *	Email: diegogomesaraujo@hotmail.com
 *	Versão: 1.0
 *	Licença: GPL/GNU
 *	Data da criação: 22/03/2008
 *	Hora da criação: 13:45:05
 */

class sqlColunas {

	private $resp;
	
	public function getResp() {
		return $this->resp;
	}

	public function __construct() {}
	
	public function retornaColunas($tabela) {
		$db = new DB();
		$db->conexao();
		switch($_SESSION['tipoDB']) {
		
			case "mysql":	// PARA BANCO ED DADOS MYSQL
			
				$db->selecionaDB();
				$sql = "SHOW COLUMNS FROM ".$tabela;
				$db->query($sql);
				//exit(print_r($db->getQuery()));
				while($obj = $db->fetchObj()) {
					$arr[] = new basicasColunas($obj->Field, $obj->Key);
				}
				break;
				
			case "postgresql":		// PARA BANCO ED DADOS POSTGRESQL
			
				$db->selecionaDB();
				$sql = "select * from ".$tabela;
				$query = pg_query($sql);
				for($i=0;$i<pg_num_fields($query);$i++) {
					$sqlPKey = "SELECT
									t1.relname AS tab_name,
									at.attname AS col_name,
									id.indisprimary AS primary
								FROM
									pg_class t1,
									pg_index id,
									pg_attribute at,
									pg_database db
								WHERE
									db.datname='".$_POST['banco']."'
								AND
									t1.relname='".$tabela."'
								AND
									at.attname='".pg_field_name($query,$i)."'
								AND
									id.indisprimary='t'
								GROUP BY
									t1.relname,
									at.attname,
									id.indisprimary";
					$query2 = pg_query($sqlPKey);
					if(pg_num_fields($query2) > 0) {
						$key = "PRI";
					} else {
						$key = "";
					}
					$arr[] = new basicasColunas(pg_field_name($query,$i), $key);
				}
				break;
		}
		$this->resp = $arr;
		$db->exitConexao();
		return true;
	}
	

}
?>