<?php
/*
 *	Sistema: Gerador de Classes PHP5
 *	Autor: Diego Gomes Araujo
 *	Email: diegogomesaraujo@hotmail.com
 *	Versão: 1.0
 *	Licença: GPL/GNU
 *	Data da criação: 22/03/2008
 *	Hora da criação: 13:45:05
 */

class sqlDBs {

	private $resp;
	
	public function getResp() {
		return $this->resp;
	}

	public function __construct() {}
	
	public function retornaDBs() {
		$db = new DB();
		$db->conexao();
		switch($_SESSION['tipoDB']) {
			case "mysql":
				$db->query("SHOW DATABASES");
				break;
			case "postgresql":
				$db->query("SELECT datname FROM pg_database");
				break;
		}
		while($obj = $db->fetchObj()) {
			switch($_SESSION['tipoDB']) {
				case "mysql":
					$arr[] = new basicasDBs($obj->Database);
					break;
				case "postgresql":
					$arr[] = new basicasDBs($obj->datname);
					break;
			}
		}
		$this->resp = $arr;
		$db->exitConexao();
		return true;
	}
	

}
?>