<?php
/*
 *	Sistema: Gerador de Classes PHP5
 *	Autor: Diego Gomes Araujo
 *	Email: diegogomesaraujo@hotmail.com
 *	Versão: 1.0
 *	Licença: GPL/GNU
 *	Data da criação: 22/03/2008
 *	Hora da criação: 13:45:05
 */

class sqlTBLs {

	private $resp;
	
	public function getResp() {
		return $this->resp;
	}

	public function __construct() {}
	
	public function retornaTabelas() {
		$db = new DB();
		$db->conexao();
		switch($_SESSION['tipoDB']) {
			case "mysql":
				$sql = "SHOW TABLES FROM ".$_POST['banco'];
				$query = mysql_query($sql);
				while($obj = mysql_fetch_row($query)) {
					$arr[] = new basicasTBLs($obj[0]);
				}
				$this->resp = $arr;
				$db->exitConexao();
				break;
			case "postgresql":
				$db->selecionaDB();
				$sql = "SELECT table_name
						FROM
							information_schema.tables
						WHERE
							table_schema='public'
						AND
							table_type='BASE TABLE';";
				$query = pg_query($sql);
				while($obj = pg_fetch_row($query)) {
					$arr[] = new basicasTBLs($obj[0]);
				}
				$this->resp = $arr;
				$db->exitConexao();
				break;
		}
		return true;
	}

	// método que verifica o esquema da tabela
	public function retornaSchemaTable($tabela) {
		switch($_SESSION['tipoDB']) {
			case "mysql":
				$sql = "";
				break;
			case "postgresql":
				$sql = "SELECT
							schemaname AS esquema
						FROM
							pg_catalog.pg_tables
						WHERE
							schemaname NOT IN ('pg_catalog','information_schema','pg_toast')
						AND
							tablename='".$tabela."'
						ORDER BY
							schemaname, tablename";
				break;
		}
		$db = new DB();
		$db->query($sql);
		$obj = $db->fetchObj();
		return $obj->esquema.".";
	}

}
?>