<?php
/*
 *	Sistema: Gerador de Classes PHP5
 *	Autor: Diego Gomes Araujo
 *	Email: diegogomesaraujo@hotmail.com
 *	Versão: 2.3
 *	Licença: GPL/GNU
 *	Data da criação do gerador: 22/03/2008
 *	Hora da criação do gerador: 13:45:05
 *
 *	Data da geração do arquivo: 03-05-2008 as 13:26:55
 */

class DB {

	private $server;
	private $usuario;
	private $senha;
	private $conn;
	private $msgErroQuery;
	private $query;

	// inicializa as variaveis para a conexão com o banco
	public function __construct() {
		self::escreveDados($this->server, $_SESSION['servidor']);
		self::escreveDados($this->usuario, $_SESSION['usuario']);
		self::escreveDados($this->senha, $_SESSION['senha']);
	}

	// cria uma conexão com o mysql
	public function conexao() {
		switch($_SESSION['tipoDB']) {
			case "mysql":
				$conect = mysql_connect($this->server,$this->usuario,$this->senha) or
					die('Não foi possivel conectar ao servidor mysql.<br>'.mysql_error());
				break;
			case "postgresql":
				$str  = "host=".$this->server;
				$str .= " port=5432";
				$str .= " user=".$this->usuario;
				$str .= " password=".$this->senha;
				$conect = pg_connect($str);
				break;
		}
		$this->conn = $conect;
	}

	// fecha a conexao com o banco de dados
	public function exitConexao() {
		switch($_SESSION['tipoDB']) {
			case "mysql":
				return mysql_close($this->conn);
				break;
			case "postgresql":
				return pg_close($this->conn);
				break;
		}
	}

	// seleciona o banco
	public function selecionaDB() {
		switch($_SESSION['tipoDB']) {
			case "mysql":
				mysql_select_db($_POST['banco'],$this->conn) or
				die('Não foi possivel selecionar a base de dados.<br>'.mysql_error());
				break;
			case "postgresql":
				$str  = "host=".$this->server;
				$str .= " port=5432";
				$str .= " dbname=".$_POST['banco'];
				$str .= " user=".$this->usuario;
				$str .= " password=".$this->senha;
				$conect = pg_connect($str);
				break;
		}
	}

	// escreve dados para as variaveis
	private function escreveDados(&$var, $param) {
		return $var = $param;
	}

	// faz uma query
	public function query($sql) {
		switch($_SESSION['tipoDB']) {
			case "mysql":
				$query = mysql_query($sql);
				$msg = mysql_error();
				break;
			case "postgresql":
				$query = pg_query($sql);
				$msg = pg_last_error();
				break;
		}
		if($query) {
			$this->query = $query;
			return true;
		} else {
			$this->msgErroQuery = $msg;
			return false;
		}
	}

	// retorna o fetchObject da ultima consulta
	public function fetchObj() {
		switch($_SESSION['tipoDB']) {
			case "mysql":
				return mysql_fetch_object($this->query);
				break;
			case "postgresql":
				return pg_fetch_object($this->query);
				break;
		}
	}

	// retorna o id do insert referido
	public function ultimoId() {
		switch($_SESSION['tipoDB']) {
			case "mysql":
				return mysql_insert_id($this->query);
				break;
			case "postgresql":
				return pg_last_oid($this->query);
				break;
		}
		
	}

	// retorna a quantidade de registro encontrados
	public function quantidadeRegistros() {
		switch($_SESSION['tipoDB']) {
			case "mysql":
				return mysql_num_rows($this->query);
				break;
			case "postgresql":
				return pg_num_rows($this->query);
				break;
		}
	}

	// mostra mensagem de erro na query
	public function getErro() {
		return $this->msgErroQuery;
	}
	
	// mostra query
	public function getQuery() {
		return $this->query;
	}
	
}
?>